# sprec

sprec is a simple speech recognition command that can be used for
transcription or automation.

It uses the [Vosk](https://alphacephei.com/vosk) speech recognition
toolkit, which is FOSS and offline.

## Install From Source

`go` (aka `golang`) and `scdoc` are required.

A binary of the speech recognition library and an English model
(about 40MB) can be installed with:

    ./get-vosk.sh && sudo ./get-vosk.sh install
    ./get-model.sh && sudo ./get-model.sh install

sprec itself can be installed with:

    ./build.sh && sudo ./build.sh install

## Usage

sprec is documented in the [manpage](doc/sprec.1.scd).

The [sprec_type](examples/sprec_type) script types out
speech recognition results in realtime. It uses arecord and
[dotool](https://git.sr.ht/~geb/dotool), and has a --help flag.

## Handsfree Computing

For full-on handsfree computing, see [Numen](https://numenvoice.org).

## Contact

You can send questions or patches by composing an email to
[~geb/public-inbox@lists.sr.ht](https://lists.sr.ht/~geb/public-inbox).

## Support My Work 👀

[Thank you!](https://liberapay.com/geb)

## License

GPLv3 only, see [LICENSE](LICENSE).

Copyright (c) 2023 John Gebbie
